Subject: bug#60874:

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Jan 2023 14:50:37 +0200

merge 60559 60176 60874
thanks

> From: Pedro Andres Aranda Gutierrez <[email-masked]>
> Date: Tue, 17 Jan 2023 11:13:22 +0100
> 
> Open an empty Dockerfile, in this case /tmp/Dockerfile to forget it 
> on the next boot:
> 
> emacs -Q /tmp/Dockerfile
> 
> I get the following warning:
> 
> Warning (treesit): Cannot activate tree-sitter, because tree-sitter
> library is not compiled with Emacs
> 
> which says nothing new to me, because I know that I'm not using
> tree-sitter because I didn't compile it into Emacs, and is annoying,
> because it make me kill a buffer to get my emacs window and start
> editing.
> 
> IMHO, this should *not* appear if the package producer (in this case
> yours truthfully) chooses not to include tree-sitter support for
> whatever reason(s).

This is a duplicate of bug#60559 and bug#60176, and will hopefully be
resolved by the changes I posted here:

  https://lists.gnu.org/archive/html/emacs-devel/2023-01/msg00263.html

Thanks.